Name:           pam_yubico
Version:        2.21
Release:        3%{?dist}
Summary:        A Pluggable Authentication Module for yubikeys

Group:          System Environment/Base
License:        BSD
URL:            http://opensource.yubico.com/yubico-pam/
Source0:        http://opensource.yubico.com/yubico-pam/releases/pam_yubico-%{version}.tar.gz
#Patch0:         pam_yubico-pamuid_t.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ykclient-devel >= 2.15
BuildRequires:  libyubikey-devel >= 1.5
BuildRequires:  pam-devel ykpers-devel openldap-devel autoconf
Requires:       ykclient >= 2.15

%description
This is pam_yubico, a pluggable authentication module that can be used with
Linux-PAM and yubikeys. This module supports yubikey OTP checking.

%prep
%setup -q 
#%patch0 -p1

%build
autoconf
%configure --libdir=/%{_lib} \
           --with-pam-dir=/%{_lib}/security/
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/%{_lib}/security/pam_yubico.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS README COPYING ChangeLog
/%{_lib}/security/pam_yubico.so
%{_bindir}/ykpamcfg
%{_mandir}/man1/ykpamcfg.1.gz
%{_mandir}/man8/pam_yubico.8.gz

#%{_includedir}/util.h
#%{_includedir}/drop_privs.h

%changelog
* Tue May 10 2016 Nick Bebout <nb@fedoraproject.org> - 2.21-3
- Fix it to read >= instead of just >

* Tue May 03 2016 Nick Bebout <nb@fedoraproject.org> - 2.21-2
- Fix dep on ykclient

* Tue Feb 23 2016 Oliver Haessler <oliver@redhat.com> - 2.21-1
- Update to 2.21

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 18 2015 Nick Bebout <nb@fedoraproject.org> - 2.20-1
- Update to 2.20

* Thu Jun 18 2015 Nick Bebout <nb@fedoraproject.org> - 2.19-1
- Update to 2.19

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Nick Bebout <nb@fedoraproject.org> - 2.14-1
- Update to 2.14

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar  4 2013 Peter Robinson <pbrobinson@fedoraproject.org> 2.13-1
- Update to 2.13

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 11 2013 Nick Bebout <nb@fedoraproject.org> - 2.12-1
- Update to 2.12

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 15 2012 Nick Bebout <nb@fedoraproject.org> - 2.11-1
- Upgrade to 2.11

* Wed Feb 8 2012 Nick Bebout <nb@fedoraproject.org> - 2.10-1
- Upgrade to 2.10

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 07 2011 Dennis Gilmore <dennis@ausil.us> - 2.8-1
- update to 2,8 fixes bz#733322

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 18 2010 Dennis Gilmore <dennis@ausil.us> - 2.4-1
- update to 2.4
- fixes crashing bug

* Fri Sep 03 2010 Dennis Gilmore <dennis@ausil.us> - 2.3-1
- update to 2.3

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May  8 2009 Mike McGrath <mmcgrath@redhat.com> - 2.1-2
- Added patch to prevent segfaults in x86_64

* Wed Apr 29 2009 Dennis Gilmore <dennis@ausil.us> - 2.1-1
- initial packaging
